@ECHO OFF
REM Chessmaster 3000 (1991)
REM
choice /N /C:chev Video: (C)GA (H)ERCULES (E)GA (V)GA
if errorlevel 1 set VIDEO=CGA
if errorlevel 2 set VIDEO=HGA
if errorlevel 3 set VIDEO=EGA
if errorlevel 4 set VIDEO=VGA
echo.
choice /N /C:padsn Sound: (P)C SPEAKER (A)DLIB (D)ISNEY SOUND SOURCE (S)OUND BLASTER (N)one
if errorlevel 1 set SOUND=ibmsnd.com
if errorlevel 2 set SOUND=adlib.com
if errorlevel 3 set SOUND=source.com
if errorlevel 4 set SOUND=sblaster.com
if errorlevel 5 set SOUND=NONE
REM
echo VIDEO=%VIDEO%    > CONFIG.CM
echo SOUND=%SOUND%   >> CONFIG.CM
echo PRINTER=NONE    >> CONFIG.CM
echo MEDIA=4         >> CONFIG.CM
echo DRIVES=CC       >> CONFIG.CM
echo HASH=8          >> CONFIG.CM
echo ANALYSIS=30000  >> CONFIG.CM
REM
%SOUND%
CM.EXE
